### Method

# Clutter PaintVolume set_from_allocation

#### Declaration [src]

    gboolean
    clutter_paint_volume_set_from_allocation (
      ClutterPaintVolume* pv,
      ClutterActor* actor
    )

#### Description [src]

Sets the `ClutterPaintVolume` from the allocation of `actor`.

This function should be used when overriding the `Clutter.ActorClass.get_paint_volume` by `ClutterActor` sub-classes that do not paint outside their allocation.

A typical example is:

    static gboolean
    my_actor_get_paint_volume (ClutterActor       *self,
                               ClutterPaintVolume *volume)
    {
      return clutter_paint_volume_set_from_allocation (volume, self);
    }

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the paint volume was successfully set, and `FALSE` otherwise.